forums.PPSSPP.org
No PPSSPP v1.9 for macOS ?? - Printable Version

+- forums.PPSSPP.org (https://forums.ppsspp.org)
+-- Forum: PPSSPP - Playstation Portable Simulator Suitable for Playing Portably (/forumdisplay.php?fid=1)
+--- Forum: Builds, releases and ports (/forumdisplay.php?fid=4)
+--- Thread: No PPSSPP v1.9 for macOS ?? (/showthread.php?tid=25703)

Pages: 1 2 3


No PPSSPP v1.9 for macOS ?? - azoreseuropa - 09-27-2019 08:02 AM

Whats happened to macOS version for PPSSPP 1.9 ? The last time update for macOS was 1.75. Sad


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 12-01-2019 09:35 AM

I have even not seen 1.75. I wonder what happened and why there are no new releases for a year or so...


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-08-2020 08:11 PM

Would be interesting why the Mac version is stuck at version 1.6.3?


RE: No PPSSPP v1.9 for macOS ?? - LunaMoo - 03-09-2020 02:59 AM

PPSSPP can be compiled on variety of platforms, but only two are officially released, Android and Windows, everything else you can see on "download" site was maintained by users that lost interest over time and so for most of them, including MacOS you have to compile it yourself or depend on third party builds released around the net, if there are any you trust, but take care that it's very easy to add ads, crypto miners and even very malicious code to open source software, so it's recommended to build it yourself.

Here are the official build instructions.


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-12-2020 05:25 PM

That would certainly be an alternative. But I would really prefer a compiled version as I'm no programmer and have only a little idea how to handle that.


RE: No PPSSPP v1.9 for macOS ?? - LunaMoo - 03-13-2020 07:31 AM

Building an app from source without any modifications is NOT programming and doesn't need ANY programming experience, just follow the build instructions I linked above as long as you can read english with understanding, this should not be a problem.

If you prefer to claim you're unable to do that, you can always just google for third party builds and risk getting more than you're asking for or simply keep using very ancient PPSSPP version.


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-15-2020 05:35 PM

Tried it, didn't succeed. Seems to be more complicated than expected unter MacOS X...


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-19-2020 07:08 PM

I read a post that all newer versions since 1.6.3 can not be compiled error free on MacOS X. No idea if this is true.


RE: No PPSSPP v1.9 for macOS ?? - [Unknown] - 03-19-2020 08:59 PM

It definitely compiles fine, although I think it may require macOS 10.8+.

Every change we make to PPSSPP is verified to compile on macOS, and has been for the last 4 years or so... we would get an alert right away if it couldn't compile.

-[Unknown]


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-20-2020 12:32 PM

Ok, if this is so, can somebody try to compile it for MacOS X (working with 10.9.5)? If it works, a link to the compiled version would be very much appreciated...


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-24-2020 07:42 PM

I found somebody who tried to compile PPSSPP for MacOS. He is somebody who compiles other emulators for Mac. He told me that it's not possible to build this on MacOS 10.9.5. I wonder what changed from 1.6.3 to 1.9.3 so radically that it can not be used on MacOS 10.9.5 anymore...


RE: No PPSSPP v1.9 for macOS ?? - [Unknown] - 03-25-2020 03:06 AM

Maybe that's possible. The checks to make sure it builds I talked about are run against macOS 10.12 and Xcode 8.3.3, so if we made it require a newer version (possibly by making it require a newer Xcode), we might not realize.

We use Travis CI for this checking, and it doesn't even have macOS 10.9.x available. We're already using one of the older versions of macOS it supports (macOS 10.13 is the default.)

I'd be curious what errors were seen though. If it's just that you can't install a new enough Xcode to compile c++11, then it should be possible to install (maybe via brew?) a newer clang and compile it without Xcode, perhaps?

Either way, it should still be possible to compile on a newer macOS version, but targeting macOS 10.9.5 so it can run there.

-[Unknown]


RE: No PPSSPP v1.9 for macOS ?? - ClarkKent - 03-25-2020 05:42 AM

I strained the guy already, it was generous of him to help in the first place. He said something aboutQT5 and SDL2 not building right in 10.9.5 but I do not know exactly.

Maybe you can build it as a test and I test it if it works?


RE: No PPSSPP v1.9 for macOS ?? - coldfire291 - 03-30-2020 10:45 AM

I have tried to compile v1.9.4 with Xcode 11.2 with no success, however v1.7.5 compiled with no issue, if anyone is interested, here is the download link for 1.7.5, the link from the main download page does not contain the actual app for some reasons

https://drive.google.com/open?id=1C7cWBUhiobc6TBdLUNT62ijUFEqSRmpM


RE: No PPSSPP v1.9 for macOS ?? - [Unknown] - 03-31-2020 11:22 PM

What errors did you encounter with v1.9.4?

A recent change to better support notched iOS devices is likely going to increase the minimum requirement to Xcode 9 / macOS 10.12. That someone has contributed this feature implies that they, at least, were able to build and run the latest git. That means any errors anyone else is facing can probably be fixed.

-[Unknown]